<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| Fast-Sales Pro                                                              |
| Copyright (c) 2007-2009 Fsales development group <support@fast-sales.ru>    |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://fast-sales.ru/fsales_pro_license.html          |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  Fsales     |
| development group (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  |
| OR MAKING AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE       |
| "SOFTWARE"). PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS       |
| LICENSE AGREEMENT CAREFULLY   BEFORE   INSTALLING   OR  USING  THE          |
| SOFTWARE.  BY INSTALLING, COPYING   OR   OTHERWISE   USING   THE            |
| SOFTWARE,  YOU  AND  YOUR  COMPANY (COLLECTIVELY,  "YOU")  ARE  ACCEPTING   |
| AND AGREEING  TO  THE TERMS OF THIS LICENSE   AGREEMENT.   IF  YOU    ARE   |
| NOT  WILLING   TO  BE  BOUND BY THIS AGREEMENT, DO  NOT INSTALL OR USE THE  |
| SOFTWARE.  VARIOUS   COPYRIGHTS   AND OTHER   INTELLECTUAL   PROPERTY       |
| RIGHTS    PROTECT   THE   SOFTWARE.  THIS AGREEMENT IS A LICENSE AGREEMENT  |
| THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE THE  SOFTWARE   AND  NOT  AN     |
| AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE. THE AUTHOR RETAINS ALL RIGHTS|
| NOT EXPRESSLY GRANTED BY THIS AGREEMENT.                                    |
|                                                                             |
| The Initial Developers of the Original Code are Fsales development group    |
| Portions created by Fsales development group are Copyright (C) 2007-2009    |
| Fsales development group. All Rights Reserved.                              |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

	require 'setup.php';

	// Данные FTP
	$need_ftp  = isset($_REQUEST['need_ftp'])  ? $_REQUEST['need_ftp']        : '';
	$ftpserver = isset($_REQUEST['ftpserver']) ? trim($_REQUEST['ftpserver']) : '';
	$ftplogin  = isset($_REQUEST['ftplogin'])  ? trim($_REQUEST['ftplogin'])  : '';
	$ftppwd    = isset($_REQUEST['ftppwd'])    ? trim($_REQUEST['ftppwd'])    : '';
	
	// Данные MySQL
	$mysqlserver = isset($_REQUEST['mysqlserver']) ? trim($_REQUEST['mysqlserver']) : '';
	$mysqldbname = isset($_REQUEST['mysqldbname']) ? trim($_REQUEST['mysqldbname']) : '';
	$mysqllogin  = isset($_REQUEST['mysqllogin'])  ? trim($_REQUEST['mysqllogin'])  : '';
	$mysqlpwd    = isset($_REQUEST['mysqlpwd'])    ? trim($_REQUEST['mysqlpwd'])    : '';
	
	// Данные администратора
	$adminemail = isset($_REQUEST['adminemail']) ? trim($_REQUEST['adminemail']) : '';
	$adminpwd   = isset($_REQUEST['adminpwd'])   ? trim($_REQUEST['adminpwd'])   : '';
	
	if (intval($need_ftp)) {
		// Проверяем подключение к FTP
		require '../includes/libs/ftp/ftp_class.php';
		
		$ftp = new ftp;
		
		$ftp->SetTimeout(10);
		
		if (!$ftp->SetServer($ftpserver)) {
			$err[] = 'Не удается обратиться к FTP-серверу по указанному адресу';
		} else {
			if (!$ftp->connect()) {
				$err[] = 'Не удается подключиться к FTP-серверу по указанному адресу';
			} else {
				if (!$ftp->login($ftplogin, $ftppwd)) {
					$err[] = 'Неверно указан логин и/или пароль к FTP';
				} else {
					// Проверка, является ли указанный FTP-сервер тем, на котором мы находимся
					if (strpos(dirname(__FILE__), '/') !== false) {
						$dirsep = '/';
					} else {
						$dirsep = '\\';
					}
					
					$dirs = explode($dirsep, dirname(__FILE__));
					
					$success = false;
					
					$dir = '';
					
					for ($i = count($dirs) - 1; $i >= 0; --$i) {
						$dir = $dirs[$i].'/'.$dir;
						
						if ($ftp->is_exists($dir.basename(__FILE__))) {
							$success = true;
							break;
						}
					}
					
					if (!$success) {
						$err[] = 'Не удается найти директорию магазина на указанном FTP';
					}
				}
				$ftp->quit();
			}
		}
	}
	
	// Проверяем подключение к MySQL
	if (!DB::TestConnect($mysqldbname, $mysqlserver, $mysqllogin, $mysqlpwd)) {
		$err[] = 'Не удается подключиться к серверу баз данных';
	}
	
	// Проверяем правильность E-Mail администратора
	if (!Mail::IsEmailValid($adminemail)) {
		$err[] = 'E-Mail администратора задан некорректно';
	}
	
	// Проверяем заполненность пароля администратора
	if (empty($adminpwd)) {
		$err[] = 'Пароль администратора не может быть пустым';
	}
	
	// Формируем JSON-вывод
	echo func_to_json('', '', $err);
	
?>