function GetSelect(id) {
	return document.getElementById(id).options[document.getElementById(id).selectedIndex].value;
}

function ShowLoading(id, label) {
	var html = '<img src="' + BASE_URL + 'templates/admin/images/info-loader.gif" />';
	
	if (label) {
		html += ' ' + label;
	}
	
	$('#' + id).html(html);
}

function ProcessMsgs(msg_txt, err_txt) {
	if (msg_txt !== '' || err_txt !== '') {
		$.getJSON(BASE_URL + 'admin/messages.php', {msg: $.base64Decode(msg_txt), err: $.base64Decode(err_txt)},
			function(obj) {
				if (obj && obj.html) {
					var i = 0;
					var timeToShow = obj.arg4;
					
					notify(
						$.base64Decode(obj.html), {
						autoClose: msg_txt !== '' && timeToShow > 0,
						closeDelay: timeToShow * 1000
					});
				}
			}
		);
	} else {
		ClearMsgs();
	}
	return false;
}

function ClearMsgs() {
	$('#notifications').html('');
	return false;
}

function trim(s) {
	var l = 0;
	var r = s.length - 1;
	
	while (l < s.length && s[l] == ' ') {
		l++;
	}
	
	while (r > l && s[r] == ' ') {
		r -= 1;
	}
	
	return s.substring(l, r + 1);
}

function isCookieEnabled() {
	var cookieEnabled = (navigator.cookieEnabled) ? true : false;

	if (!cookieEnabled) {
		document.cookie = "testcookie";
		var cookies = document.cookie.split(';');
		
		for (var i = 0; i < cookies.length; i++) {
			if (trim(cookies[i]) == 'testcookie') {
				cookieEnabled = true;
				break;
			}
		}

		document.cookie = "";
	}

	return cookieEnabled;
}

function SelectAllToVis() {
	$('input[rel="rel_for_vis"]').each(function(){$(this).check('on');})
}

function UnSelectAllToVis() {
	$('input[rel="rel_for_vis"]').each(function(){$(this).check('off');})
}

function SelectAllToDel(rel) {
	if (!rel) {
		rel = 'rel_for_del';
	}

	$('input[rel="' + rel + '"]').each(function(){$(this).check('on');})
}

function UnSelectAllToDel(rel) {
	if (!rel) {
		rel = 'rel_for_del';
	}
	
	$('input[rel="' + rel + '"]').each(function(){$(this).check('off');})
}

function ReloadCaptcha() {
	$.getJSON(BASE_URL + 'captcha.php',
		function(data) {
			$('.captcha').attr('src', BASE_URL + data.html);
		}
	);
}

function Translit(text) {
	var result = '';
	
	var ru_str = "АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдеёжзийклмнопрстуфхцчшщъыьэюя";
	var en_str = ['A','B','V','G','D','E','E','ZH','Z','I','J','K','L','M','N','O','P','R','S','T',
		'U','F','H','C','CH','SH','SHCH','','Y','','E','YU',
		'YA','a','b','v','g','d','e','e','zh','z','i','j','k','l','m','n','o','p','r','s','t','u','f',
		'h','c','ch','sh','shch','','y','','e','yu','ya'];
	
    for (var i = 0, l = text.length; i < l; i++) {
		var s = text.charAt(i);
		var n = ru_str.indexOf(s);
		
		if (n >= 0) {
			result += en_str[n];
		} else {
			result += s;
		}
    }
	
	return result;
}

function CorrectUrlName(url_name) {
	url_name = trim(url_name).toLowerCase();
	
	var result = '';
	var en_str = "abcdefghijklmnopqrstuvwxyz1234567890-_";
	
	for (var i = 0; i < url_name.length; i++) {
		var s = url_name.charAt(i);
		
		if (en_str.indexOf(s) >= 0) {
			result += s;
		} else if (s == ' ') {
			result += '-';
		}
	}
	
	return result;
}

var SHOP_SELECT_CATEGORY_CALLBACK = function(cat_id, cat_caption) {};

function ShopSelectCategory(title, cat_id, exclude, allow_select_all, allow_select_root, callback) {
	SHOP_SELECT_CATEGORY_CALLBACK = callback;
	
	allow_select_all  = allow_select_all  ? 1 : 0;
	allow_select_root = allow_select_root ? 1 : 0;
	
	$.modal({
		url: BASE_URL + 'admin/modules/categories/categories_js.php?act=get_subcategories&cat_id=0&selected_id=' + cat_id + '&exclude=' + exclude + '&allow_select_all=' + allow_select_all + '&allow_select_root=' + allow_select_root + '&level=1',
		loadingMessage: '&nbsp;',
		title: title,
		maxWidth: 400,
		minHeight: 10,
		closeButton: true,
		complete: function() {
			if (cat_id > 0) {
				$.ajax({
					url: BASE_URL + 'admin/modules/categories/categories_js.php?act=get_path&cat_id=' + cat_id,
					dataType: 'text',
					success: function(path) {
						if (path != '') {
							var path = path.split('-');
							
							for (var i = 0; i < path.length - 1; i++) {
								ShopShowSubcats(path[i], cat_id, exclude, i + 2);
							}
						}
					}
				});
			}
		}
	});
}

function ShopHideSelectCat() {
	$.modal.current.closeModal();
}

function ShopShowSubcats(cat_id, selected_id, exclude, level) {
	$('#sv-category-' + cat_id + '-subcats-ul').removeClass('hidden');
	$('#sv-category-' + cat_id + '-subcats-ul').html('<li><span class="loading">&nbsp;</span></li>');
	
	$.ajax({
		url: BASE_URL + 'admin/modules/categories/categories_js.php?act=get_subcategories&cat_id=' + cat_id + '&selected_id=' + selected_id + '&exclude=' + exclude + '&level=' + level,
		dataType: 'html',
		async: false,
		success: function(subcats) {
			$('#sv-category-' + cat_id + '-subcats-ul').html(subcats);
			
			var cat_path = $('#sv-category-' + cat_id + '-search-path').html().split('-');
			var showed = [];
			
			for (var i = 0; i < cat_path.length; i++) {
				var id = 'sv-category-' + cat_path[i] + '-subcats-ul';
				
				$('#' + id).removeClass('hidden');
				$('#' + id).parent('li.category-closed').removeClass('category-closed');
				
				showed[id] = true;
			}
			
			$('.sv-category-subcats-ul').each(function(){
				if (!showed[$(this).attr('id')]) {
					$(this).addClass('hidden');
					$(this).parent().addClass('category-closed');
				}
			});
		}
	});
}

function ShopSelectCat(cat_id, cat_caption) {
	ShopHideSelectCat();
	
	if (SHOP_SELECT_CATEGORY_CALLBACK != '') {
		SHOP_SELECT_CATEGORY_CALLBACK.call(this, cat_id, cat_caption);
	}
}

function ShowFastAuxPanel(html) {
	if (!html) {
		HideFastAuxPanel();
		return;
	}
	
	$('#sv-fast-aux-panel').html(html);
}

function HideFastAuxPanel() {
	$('#sv-fast-aux-panel').html('');
}

var TAB_CLICKED_BY_HAND = true;

function set_active_tab(module, tab_num, sync) {
	ClearMsgs();
	
	var async = true;
	
	if (sync) {
		async = false;
	}
	
	$.ajax({
		url: BASE_URL + 'admin/tabs.php',
		async: async,
		dataType: 'json',
		data: {act: 'set', mod: module, tab: tab_num}
	});
}